package sun.management.counter.perf;

import sun.management.counter.Variability;
import sun.management.counter.Units;
import sun.management.counter.LongArrayCounter;
import sun.management.counter.AbstractCounter;

class LongArrayCounterSnapshot extends AbstractCounter implements LongArrayCounter
{
    long[] value;
    private static final long serialVersionUID = 3585870271405924292L;
    
    LongArrayCounterSnapshot(String name, Units units, Variability variability, int flags, int vectorLength, long[] value) {
        super(name, units, variability, flags, vectorLength);
        this.value = value;
    }
    
    @Override
    public Object getValue() {
        return this.value;
    }
    
    @Override
    public long[] longArrayValue() {
        return this.value;
    }
    
    @Override
    public long longAt(int n) {
        return this.value[n];
    }
}
